Last modified: 2010-03-15 11:38:45 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 19627 - Gadget Definition style in user prefs
Gadget Definition style in user prefs
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Gadgets (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: patch, patch-need-review
Depends on:
Blocks: css
  Show dependency treegraph
 
Reported: 2009-07-10 03:11 UTC by Subfader
Modified: 2010-03-15 11:38 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
patch to fix misspelled attribute in HTMLForm class (494 bytes, patch)
2010-03-14 19:45 UTC, Bawolff (Brian Wolff)
Details

Description Subfader 2009-07-10 03:11:08 UTC
The style of the gadgets list in the user prefs is bad atm (h1 sections with too much left padding and zero space on the bottom). It doesn't consider the layout you set in MediaWiki:Gadgets-definition.
Comment 1 Subfader 2009-07-22 20:49:03 UTC
ah c'mon there must be a way to fix this :(
Comment 2 Subfader 2009-10-31 12:31:08 UTC
Seriously, this looks like the wiki admin is a fool.

http://www.mediawiki.org/wiki/File:Gadgets_styles_bug_in_preferences.png
Comment 3 Niklas Laxström 2010-03-14 13:01:26 UTC
Looks like the situation has only gotten worse.
Comment 4 Bawolff (Brian Wolff) 2010-03-14 19:14:34 UTC
May i ask the stupid question of what exactly is wrong with the way it is currently? To me it looks perfectly fine the way it is (although admitedly it looks a tad better in vector then monobook), and i don't really see what needs to be done, or how it could be made better.
Comment 5 Niklas Laxström 2010-03-14 19:17:35 UTC
It uses two-column layout for one-column data leaving huge amount of empty space on the left.
Comment 6 Bawolff (Brian Wolff) 2010-03-14 19:45:59 UTC
Created attachment 7197 [details]
patch to fix misspelled attribute in HTMLForm class

Sorry, was looking at wmf and not latest.

Looks like a bug in HTMLForm class where it outputs the attribute classes="blah" instead of class="blah" which causes the css that makes the left column have a width of 0 not apply. Here is patch
Comment 7 Roan Kattouw 2010-03-15 08:11:33 UTC
Patch applied in r63764.
Comment 8 Niklas Laxström 2010-03-15 08:19:28 UTC
I would not say this is fixed. The left column still takes &nbps; worth of space, as can be seen from the screenshot linked in comment 2.
Comment 9 Subfader 2010-03-15 11:38:45 UTC
Also note the missing space below the lists. It is only fixes if layout changes on MediaWiki:Gadgets-definition are applied on the pref page (which is not the case atm).

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links